var a,i,sdel : longint;
begin
Write('от 0 до 100.000 Совершенные: ');
 for a:=2 to 100000 do
  begin
   sdel:=1;
   for i:=2 to trunc(sqrt(a)) do
    begin
     if a mod i=0 then sdel:=sdel+i+(a div i);
    end;
   if a=sdel then Write(a,',');
  end;
ReadLn;
end.